#!/usr/bin/perl

use strict;
use warnings;

use Smart::Options;
use JSON;
use Path::Tiny;
use Data::Dumper;

my $opt = Smart::Options->new
       ->coerce('File' => 'Str', sub { $_[0] ? path($_[0]) : undef })
       ->type('conf' => 'File')->parse();

unless ($opt->{conf}) {
    my $default_conf = +{
        file => '/path/to/file',
        rows => 10,
    };
    path('.config')->spew(encode_json($default_conf));
    print "write default config => .config\n";
    exit;
}

my $config = decode_json($opt->{conf}->slurp());
warn Dumper($config);
